.buttons__wrapper {
    display: flex;
    justify-content: space-between;
    position: relative;
    
    .swiper-buttons {
        display: flex;
        grid-gap: 40px;
        margin-bottom: 24px;

        .swiper-button {
            &:hover {
                svg {
                    .stroke {
                        stroke: red;
                    }

                    .fill {
                        fill: red;
                    }
                }
            }
        }

        @media (max-width: 1024px) {
            display: none;
        }
    }
}

.card__slider-1 {
    .swiper-slide {
        width: 57.5px;
        height: 57px;
        margin-right: 10px;
        overflow: hidden;
    }

    .swiper-slide-thumb-active {
        width: 57.5px;
        height: 57px;
        margin-right: 10px;
        overflow: hidden;
    }
}

.offer__slider {
            
    margin-right: -24px;
    
    .swiper-slide {
        width: 383px;

        @media (max-width: 1024px) {
            width: 254px;
        }

        .offer__item {
            height: 192px;
            border-radius: 8px;
            overflow: auto;
            display: flex;
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center;
            cursor: pointer;

            @media (max-width: 1024px) {
                height: 128px;
            }
            
           
            .offer__content {
                background-color: $green-4;
                width: 100%;

                .offer__text {
                    @include f12w500M3; 
                    opacity: 0.8;

                    @media (max-width: 1024px) {
                        display: none;
                    }
                }
            }

            .down {
                display: flex;
                flex-direction: column;
                justify-content: center;
                height: 35%;
            }
        }

        .content__down {
            align-items: end;

            .offer__content {
                padding: 8px 16px;
                display: flex;
                flex-direction: column;
                justify-content: center;
                height: 35%;
            }
        }

        .content__right {
            justify-content: end;

            .offer__content {
                padding: 8px 16px 16px;
                display: flex;
                flex-direction: column;
                justify-content: space-between;
                height: 100%;
                width: 50%;
            }
        }
    }
}

.offer__slider--mobile {
    padding-bottom: 20px;
    position: sticky;
    left: 0; 

    .swiper-slide {
        width: 312px;
    }

    // @media (max-width: 1440px) {
    //     width: 2360px;
    // }

    // @media (max-width: 1024px) {
    //     width: 100%;
    // }
}
